## dtklog 0.0.2

=== debian/changelog ===
dtklog (0.0.2-3) unstable; urgency=medium

  * debian/control: Add missing Replaces/Breaks against older
    libdtkcommon and libdtkcommon-dev packages.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 14:37:13 -0500

dtklog (0.0.2-2) unstable; urgency=medium

  * Source-only upload.
  * Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 12:10:08 -0500

dtklog (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1090334)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 18:36:15 -0500
