=== debian/control ===
Source: dtklog
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat ( =13),
 libspdlog-dev,
 libsystemd-dev,
 pkgconf,
 qtbase5-private-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/linuxdeepin/dtklog
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtklog.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtklog
Description: Simple, convenient and thread-safe C++ logger library
 Dtklog provides a simple, convenient and thread-safe logger for Qt-based
 C++ applications.

Package: libdtklog0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtklog,
 libdtkcommon (<< 5.7.11-2~),
Replaces:
 libdtklog,
 libdtkcommon (<< 5.7.11-2~),
Provides:
 libdtklog,
Multi-Arch: same
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

Package: libdtklog-dev
Architecture: any
Section: libdevel
Depends:
 libdtklog0 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libdtkcommon-dev (<< 5.7.11-2~),
Replaces:
 libdtkcommon-dev (<< 5.7.11-2~),
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the library development files.
