## dtklog 0.0.4

=== debian/changelog ===
dtklog (0.0.4) unstable; urgency=medium

  * Release 0.0.4

 -- yeshanshan <yeshanshan@uniontech.com>  Mon, 23 Jun 2025 14:52:44 +0800

dtklog (0.0.3) unstable; urgency=medium

  * fix: resolve compilation issues on Qt 6.9

 -- JiDe Zhang <zhangjide@deepin.org>  Fri, 12 Apr 2025 14:00:00 +0800

dtklog (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- Mike Chen <chenke@deepin.org>  Thu, 05 Dec 2024 14:14:09 +0800
