## dtklog 0.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 SET(CMAKE_CXX_STANDARD_REQUIRED ON)
 SET(CMAKE_AUTOMOC ON)
 
-SET (DLOG_VERSION "0.0.1" CACHE STRING "define project version")
+FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+STRING (STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+SET (DLOG_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
 SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
 SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")
 
@@ -96,6 +98,13 @@
 )
 
 TARGET_LINK_LIBRARIES(${library_target} PUBLIC Qt${QT_VERSION_MAJOR}::Core)
+
+if("${QT_VERSION_MAJOR}" STREQUAL "6")
+  if ("${Qt6Core_VERSION}" VERSION_GREATER_EQUAL 6.10.0)
+    find_package(Qt6 REQUIRED COMPONENTS CorePrivate)
+  endif()
+endif()
+
 TARGET_LINK_LIBRARIES(${library_target} PRIVATE
   Qt${QT_VERSION_MAJOR}::CorePrivate
   spdlog::spdlog
