=== debian/changelog ===
dtklog (0.0.6) unstable; urgency=medium

  * Release 0.0.6

 --  yeshanshan <packages@deepin.org>  Fri, 10 Oct 2025 17:59:13 +0800
