## dtklog 6.7.33

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,29 +4,38 @@
 SET(CMAKE_CXX_STANDARD_REQUIRED ON)
 SET(CMAKE_AUTOMOC ON)
 
-FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
-STRING (STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
-SET (DLOG_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
-SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
-SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")
+FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" FILE_VERSION)
+STRING (STRIP "${FILE_VERSION}" FILE_VERSION)
 
-IF(BUILD_WITH_QT6)
-  SET(QT_VERSION_MAJOR "6")
-  SET(DTK_VERSION_MAJOR "6")
-ELSE()
-  SET(QT_VERSION_MAJOR "5")
-ENDIF()
-
-SET (DLog "Dtk${DTK_VERSION_MAJOR}Log")
-PROJECT(${DLog}
-  VERSION ${DLOG_VERSION}
+PROJECT(DtkLog
+  VERSION ${FILE_VERSION}
   DESCRIPTION "Simple, convinient and thread safe logger for Qt-based C++ apps"
+  HOMEPAGE_URL "https://github.com/linuxdeepin/dtklog"
   LANGUAGES CXX
 )
 
+SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
+
+option(DTK5 "Build DTK5." ON)
+if(DTK5)
+    set(DTK_VERSION_MAJOR "5")
+    set(DTK_NAME_SUFFIX "")
+else()
+    set(DTK_VERSION_MAJOR "6")
+    set(DTK_NAME_SUFFIX "6")
+endif()
+
+set(DTK_VERSION_MINOR ${PROJECT_VERSION_MINOR})
+set(DTK_VERSION_PATCH ${PROJECT_VERSION_PATCH})
+# Set so version like 0.x.y, it's required for DTK library ABI compatibility.
+set(DTK_VERSION "0.${DTK_VERSION_MINOR}.${DTK_VERSION_PATCH}")
+set(QT_VERSION_MAJOR ${DTK_VERSION_MAJOR})
+
+SET (DLog "Dtk${DTK_NAME_SUFFIX}Log")
+
 INCLUDE(GNUInstallDirs)
 INCLUDE(CMakePackageConfigHelpers) # configure_package_config_file
-SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${QT_VERSION_MAJOR}/DLog")
+SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${DTK_VERSION_MAJOR}/DLog")
 SET (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
 SET (CONFIG_CMAKE_INSTALL_DIR "${LIBRARY_INSTALL_DIR}/cmake/${DLog}" CACHE STRING "Install dir for cmake config files")
 SET (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/mkspecs/modules" CACHE STRING "Install dir for qt pri files")
@@ -77,7 +86,7 @@
   SET(includes ${includes} include/JournalAppender.h)
 ENDIF(BUILD_WITH_SYSTEMD)
 
-SET(library_target dtk${DTK_VERSION_MAJOR}log)
+SET(library_target dtk${DTK_NAME_SUFFIX}log)
 
 ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
 
@@ -92,8 +101,8 @@
 )
 
 SET_TARGET_PROPERTIES(${library_target} PROPERTIES
-  VERSION ${CMAKE_PROJECT_VERSION}
-  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+  VERSION ${DTK_VERSION}
+  SOVERSION "0"
   EXPORT_NAME Log
 )
 
@@ -122,7 +131,7 @@
 
 INSTALL(EXPORT ${DLog}Targets
   FILE ${DLog}Targets.cmake
-  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
+  NAMESPACE Dtk${DTK_NAME_SUFFIX}::
   DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
 )
 
@@ -142,7 +151,7 @@
 )
 WRITE_BASIC_PACKAGE_VERSION_FILE(
     "${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake"
-    VERSION ${DLOG_VERSION}
+    VERSION ${DTK_VERSION}
     COMPATIBILITY SameMajorVersion
 )
