=== debian/changelog ===
dtklog (6.7.33) unstable; urgency=medium

  * Release 6.7.33

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Feb 2026 17:26:47 +0800

dtklog (6.7.32) unstable; urgency=medium

  * Release 6.7.32

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 22 Jan 2026 16:53:09 +0800

dtklog (6.7.31) unstable; urgency=medium

  * Release 6.7.31

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 13:16:36 +0800

dtklog (0.0.7) unstable; urgency=medium

  * Release 0.0.7

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:34:34 +0800
